Bug 855793 - missing help info for some resources via rhc help <resource>
missing help info for some resources via rhc help <resource>
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Fabiano Franz
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-10 06:00 EDT by Meng Bo
Modified: 2015-05-14 22:04 EDT (History)
2 users (show)

See Also:
Fixed In Version: fork_ami_US2597_US2599_US2813_US2817_US2872_US2816_US2814_207
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:48:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-09-10 06:00:37 EDT
Description of problem:
Use rhc help <resource> to show the rhc help. Some of the resources cannot be recognized.

Version-Release number of selected component (if applicable):
rhc-0.98.10

How reproducible:
always

Steps to Reproduce:
1.Install rhc-0.98.10
2.run rhc command
3.rhc rhc help for all available resources
  
Actual results:
Some of the resources cannot be recognized.
The command 'rhc help port-forward' is not recognized.
The command 'rhc help sshkey' is not recognized.
The command 'rhc help app' is not recognized.

Expected results:
All the listed resources can get help info via 'rhc help'.

Additional info:
Comment 1 Clayton Coleman 2012-09-12 14:49:52 EDT
'rhc help app' is not expected to work yet until that story is implemented. port-forward and sshkey should work.
Comment 2 John (J5) Palmieri 2012-10-04 10:23:51 EDT
works in fork
Comment 3 Chandrika Gole 2012-10-04 18:22:29 EDT
verified on fork - AMI: fork_ami_US2597_US2599_US2813_US2817_US2872_US2816_US2814_207 (ami-a50eb3cc)

Tried rhc help <all_resources>

[root@ip-10-114-57-95 ~]# rhc help  app

Usage: rhc app <action>

Creates and controls an OpenShift application.  To see the list of all applications use the rhc domain show command.  Note that delete is not reversible and will stop your application and then remove the application and repo from the
remote server. No local changes are made.

List of Actions
  create             Create an application and adds it to a domain
  start              Start the application
  restart            Restart the application
  force-stop         Stops all application processes
  reload             Reload the application's configuration
  show               Show information about an application
  status             Show status of an application's gears
  stop               Stop the application
  tidy               Clean out the application's logs and tmp directories and tidy up the git repo on the server
  git-clone          Clone and configure an application's repository locally
  delete             Delete an application from the server

Global Options
  -l, --rhlogin login       OpenShift login
  -p, --password password   OpenShift password
  -d, --debug               Turn on debugging
  --noprompt                Do not ask for input
  --config FILE             Path of a different config file
  -h, --help                Display help documentation
  -v, --version             Display version information
  --timeout seconds         Set the timeout in seconds for network commands
[root@ip-10-114-57-95 ~]# 
[root@ip-10-114-57-95 ~]# rhc help  port-forward
Usage: rhc port-forward 

Forward remote ports to the workstation

Options for port-forward
  -n, --namespace namespace Namespace of the application you are port forwarding to
  -a, --app app             Application you are port forwarding to (required)

Global Options
  -l, --rhlogin login       OpenShift login
  -p, --password password   OpenShift password
  -d, --debug               Turn on debugging
  --noprompt                Do not ask for input
  --config FILE             Path of a different config file
  -h, --help                Display help documentation
  -v, --version             Display version information
  --timeout seconds         Set the timeout in seconds for network commands
[root@ip-10-114-57-95 ~]# rhc help   sshkey
Usage: rhc sshkey <action>

Manage multiple keys for the registered rhcloud user.

List of Actions
  list               Display all the SSH keys for the user account
  remove             Remove SSH key from the user account
  add                Add SSH key to the user account
  show               List the SSH key with the given name

Global Options
  -l, --rhlogin login       OpenShift login
  -p, --password password   OpenShift password
  -d, --debug               Turn on debugging
  --noprompt                Do not ask for input
  --config FILE             Path of a different config file
  -h, --help                Display help documentation
  -v, --version             Display version information
  --timeout seconds         Set the timeout in seconds for network commands

Note You need to log in before you can comment on or make changes to this bug.